MUSICXML2LY(1)

NAME
musicxml2ly - manual page for musicxml2ly (LilyPond) 2.24.4

SYNOPSIS
musicxml2ly [OPTION]... FILE.xml

DESCRIPTION
Convert MusicXML from FILE.xml to LilyPond input. If the given filename is -, musicxml2ly reads from the command line.

OPTIONS

-h, --help
    show this help and exit

--version
    show version number and exit

-v, --verbose
    be verbose

--lxml
    use lxml.etree; uses less memory and cpu time

-z, --compressed
    input file is a compressed MusicXML file (by default, activate if file extension is .mxl)

-r, --relative
    convert pitches in relative mode (default)

-a, --absolute
    convert pitches in absolute mode

-l, --language=LANG
    use LANG for pitch names, e.g. 'deutsch' for note names in German

--loglevel=LOGLEVEL
    Print log messages according to LOGLEVEL (NONE, ERROR, WARNING, PROGRESS (default), DEBUG)

--nd --no-articulation-directions
    do not convert directions (^, _ or -) for articulations, dynamics, etc.

--nrp --no-rest-positions
    do not convert exact vertical positions of rests

--nsb --no-system-breaks
    ignore system breaks

--npb --no-page-breaks
    ignore page breaks

--npm --no-page-margins
    ignore page margins

--npl --no-page-layout
    do not convert the exact page layout and breaks (shortcut for "--nsb --npb --npm" options)

--nsd --no-stem-directions
    ignore stem directions from MusicXML, use lilypond's automatic stemming instead

--nb --no-beaming
    do not convert beaming information, use lilypond's automatic beaming instead

-o, --output=FILE
    set output filename to FILE, stdout if -

-m, --midi
    activate midi-block in .ly file

--transpose=TOPITCH
    set pitch to transpose by the interval between pitch 'c' and TOPITCH

--sm --shift-meter=BEATS/BEATTYPE
    change the length|duration of notes as a function of a given time signature to make the score look faster or slower, (eg. '4/4' or '2/2')

--tc --tab-clef=TABCLEFNAME
    switch between two versions of tab clefs ("tab" and "moderntab")

--sn --string-numbers=t[rue]/f[alse]
    deactivate string number stencil with --string-numbers f[alse]. Default is t[rue]

--fb --fretboards
    converts '<frame>' events to a separate FretBoards voice instead of markups

REPORTING BUGS
Report bugs via bug-lilypond@gnu.org

COPYRIGHT
Copyright © 2005--2023 by

    Han-Wen Nienhuys <hanwen@xs4all.nl>, Jan Nieuwenhuizen <janneke@gnu.org> and Reinhold Kainhofer <reinhold@kainhofer.com> Patrick L. Schmidt <pls@philomelos.net>

This program is free software. It is covered by the GNU General Public License and you are welcome to change it and/or distribute copies of it under certain conditions. Invoke as `lilypond --warranty' for more information.

SEE ALSO
The full documentation for musicxml2ly is maintained as a Texinfo manual. If the info and musicxml2ly programs are properly installed at your site, the command

    info musicxml2ly

should give you access to the complete manual.